Bug 1262394 - Review Request: did - What did you do last week, month, year?
Review Request: did - What did you do last week, month, year?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
: 1213739 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 10:20 EDT by Petr Šplíchal
Modified: 2016-06-02 07:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 14:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2015-09-11 10:20:44 EDT
Spec URL:
https://github.com/psss/did/blob/0.6/did.spec

SRPM URL:
https://github.com/psss/did/releases/download/0.6/did-0.6-1.el7.src.rpm

COPR URL:
https://copr.fedoraproject.org/coprs/psss/did/

Description:
Comfortably gather status report data (e.g. list of committed
changes) for given week, month, quarter, year or selected date
range. By default all available stats for this week are reported.

Fedora Account System Username:
psss
Comment 1 Petr Šplíchal 2015-09-11 12:26:27 EDT
Here's a couple of links to learn more about the tool:

 * Git: https://github.com/psss/did
 * Docs: http://did.readthedocs.org
 * Releases: https://github.com/psss/did/releases
Comment 2 Mikolaj Izdebski 2015-09-17 03:54:57 EDT
Sorry for delay.  I have one initial question before I start full review. Python 3 is default in Fedora now and all applications should use it if possible, see: https://fedoraproject.org/wiki/Changes/Python_3_as_Default
The question: Does did work with with Python 3? If yes then it should be packaged for Python 3 - modules installed into %{python3_sitelib}, bin script use /usr/bin/python3 in shebang and requires changed from python-* to python3-*.
Comment 3 Petr Šplíchal 2015-09-17 05:00:04 EDT
Oh, very good question! Unfortunately there is still a couple of
things which need python2 (e.g. optparse plus some dependencies).
I would like to make the code python3 compatible in the future but
currently the priority is to make it available for Fedora/EPEL
with python2.
Comment 4 Mikolaj Izdebski 2015-09-17 09:21:20 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines.

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[x] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


rpmlint output
--------------

did.noarch: W: name-repeated-in-summary C did
did.src: W: name-repeated-in-summary C did
did.src: W: invalid-url Source0: https://github.com/psss/did/releases/download/0.6/did-0.6.tar.bz2 HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


Approved.
Comment 5 Petr Šplíchal 2015-09-17 09:36:33 EDT
Thanks for the review, Mikolaj. The invalid source url warning
from rpmlint is strange as provided link works without a problem.
Probably a rpmlint bug?
Comment 6 Petr Šplíchal 2015-09-17 09:40:07 EDT
New Package SCM Request
=======================
Package Name: did
Short Description: What did you do last week, month, year?
Upstream URL: https://github.com/psss/did
Owners: psss
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 7 Mikolaj Izdebski 2015-09-17 09:45:52 EDT
(In reply to Petr Šplíchal from comment #5)
> Thanks for the review, Mikolaj. The invalid source url warning
> from rpmlint is strange as provided link works without a problem.
> Probably a rpmlint bug?

Yes, this is a false-positive. I've checked this URL with Firefox and it loaded just fine.
Comment 8 Gwyn Ciesla 2015-09-18 05:57:17 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2015-09-18 09:56:36 EDT
did-0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8136
Comment 10 Fedora Update System 2015-09-18 10:05:09 EDT
did-0.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8137
Comment 11 Fedora Update System 2015-09-18 10:07:13 EDT
did-0.6-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16159
Comment 12 Fedora Update System 2015-09-18 10:09:16 EDT
did-0.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16160
Comment 13 Fedora Update System 2015-09-18 10:13:45 EDT
did-0.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16161
Comment 14 Fedora Update System 2015-09-18 20:20:40 EDT
did-0.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update did'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16161
Comment 15 Fedora Update System 2015-09-18 22:20:50 EDT
did-0.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update did'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16160
Comment 16 Fedora Update System 2015-09-18 22:21:00 EDT
did-0.6-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update did'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16159
Comment 17 Fedora Update System 2015-09-18 23:19:35 EDT
did-0.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update did'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8137
Comment 18 Fedora Update System 2015-09-18 23:21:21 EDT
did-0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update did'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8136
Comment 19 Fedora Update System 2015-10-26 14:56:49 EDT
did-0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-10-26 15:27:31 EDT
did-0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-10-28 12:20:23 EDT
did-0.6-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-10-28 12:27:06 EDT
did-0.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-10-31 22:49:04 EDT
did-0.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Petr Šplíchal 2016-06-02 07:33:39 EDT
*** Bug 1213739 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.